# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "schematools-cli"
version = "0.22.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Tools for codegen, preprocessing and validation of json-schema and openapi spec"
readme = false
license = "MIT"
repository = "https://github.com/kstasik/schema-tools"

[features]
codegen = ["schematools/codegen"]
default = [
    "codegen",
    "git2",
    "http",
    "json-patch",
    "semver",
]
git2 = ["schematools/git2"]
http = ["schematools/http"]
json-patch = ["schematools/json-patch"]
semver = ["schematools/semver"]

[[bin]]
name = "schematools-cli"
path = "src/main.rs"

[dependencies.clap]
version = "4.4"
features = ["derive"]

[dependencies.env_logger]
version = "0.10"

[dependencies.log]
version = "0.4"

[dependencies.schematools]
version = "0.22.2"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1"
features = ["preserve_order"]

[dependencies.serde_yaml]
version = "0.9"

[dependencies.sha2]
version = "0.10"

[dependencies.thiserror]
version = "1.0"
